# Delivery Quotes

This endpoint provides you with delivery quotes without the need to create them in the system. It includes the detailed price for each quoted task as well as the available scheduling times depending on the [delivery type](/developers/en/shippify-api/deliveries.md#tipo-de-entregas-y-horarios-de-agendamiento).

The payload sent is the same as in the [delivery creation](/developers/en/shippify-api/deliveries/delivery-creation.md), you can use the same examples provided there.

## Delivery quotes

> Get quotes for up to 100 deliveries within Shippify

```json
{"openapi":"3.0.0","info":{"title":"Shippify Api","version":"1.0.0"},"servers":[{"url":"https://api.shippify.co","description":"Development server"}],"security":[{"Basic_Auth":[]}],"components":{"securitySchemes":{"Basic_Auth":{"type":"http","scheme":"basic"}},"schemas":{"quotation":{"successfulResponse":{"type":"object","properties":{"data":{"type":"object","description":"Quotation information","properties":{"quotes":{"type":"object","description":"","properties":{"name":{"type":"string","description":"Quote name"},"quoteId":{"type":"integer","description":"Quotation identifier"},"timeWindows":{"description":"Time windows for scheduling deliveries.","type":"array","items":{"type":"object","properties":{"pickupStart":{"type":"integer","description":"Pickup start date and time"},"pickupEnd":{"type":"integer","description":"Pickup end date and time"},"dropoffStart":{"type":"integer","description":"Delivery start date and time"},"dropoffEnd":{"type":"integer","description":"Delivery end date and time"}}}},"totalPrice":{"type":"number","description":"Total price of the quotation"},"deliveries":{"description":"Price information per delivery.","type":"array","items":{"type":"object","properties":{"index":{"description":"Position of the delivery in the request array.","type":"integer","minimum":0},"price":{"type":"number","description":"Delivery price."},"quoteIdReference":{"type":"integer","description":"Quotation identifier"},"currencySign":{"type":"string","description":"Currency of the delivery price"},"distance":{"description":"Distance between pickup and delivery points","type":"number","minimum":0},"deliveryQuoteId":{"type":"string","description":"Unique code for this quotation"}}}},"type":{"description":"Type of delivery","type":"string","enum":["flex","express","slot"]}}}}}}},"request":{"type":"object","required":["deliveries"],"properties":{"companyId":{"description":"Company identifier where the delivery will be created","type":"integer","minimum":1},"type":{"description":"Type of delivery","type":"string","enum":["flex","express","slot"],"default":"slot"},"deliveries":{"type":"array","items":{"$ref":"#/components/schemas/quotation/delivery"}}}},"delivery":{"type":"object","required":["pickup","dropoff","packages"],"properties":{"pickup":{"description":"Pickup information","$ref":"#/components/schemas/delivery/place"},"dropoff":{"description":"Delivery information","$ref":"#/components/schemas/delivery/place"},"packages":{"description":"Package information.","type":"array","items":{"$ref":"#/components/schemas/delivery/package"}},"referenceId":{"description":"External identifier of the delivery, can be the order number","type":"string","maxLength":40},"tags":{"description":"Digital tag names","type":"array","items":{"description":"Digital tag name","type":"string","maxLength":50}},"extraData":{"description":"Extra delivery data","type":"array","items":{"type":"object","required":["name","value"],"properties":{"name":{"type":"string","description":"Name of the extra information"},"value":{"type":"string","description":"Value of the extra information"}}}},"cod":{"description":"Cash on delivery payment","type":"number","minimum":0}}}},"Unauthenticated":{"properties":{"code":{"type":"string"},"message":{"type":"string"}},"type":"object"},"delivery":{"place":{"type":"object","required":["contact","location"],"properties":{"contact":{"$ref":"#/components/schemas/delivery/contact"},"location":{"$ref":"#/components/schemas/delivery/location"}}},"contact":{"description":"Contact information of the person responsible for delivering the packages at the pickup warehouse.","type":"object","required":["name","email"],"properties":{"name":{"description":"Name of the responsible person.","type":"string"},"email":{"description":"Email of the responsible person.","type":"string","format":"email"},"phonenumber":{"description":"Phone number of the responsible person.","type":"string"}}},"location":{"description":"Address information of the pickup location of the delivery packages.","type":"object","required":["address"],"properties":{"address":{"description":"Delivery address.","type":"string"},"instructions":{"description":"Extra information about the address.","type":"string"},"lat":{"description":"Latitude of the pickup point.","type":"string"},"lng":{"description":"Longitude of the pickup point.","type":"string"}}},"package":{"type":"object","required":["name","qty","size"],"properties":{"id":{"type":"string","description":"Package identifier"},"name":{"type":"string","description":"Package name"},"qty":{"description":"Number of packages in the order (not the number of products inside the package).","type":"integer","minimum":0},"weight":{"description":"Unit weight * quantity in Kg","type":"number","minimum":0},"size":{"description":"Package size","type":"string","enum":["xs","s","m","l","xl"]},"price":{"description":"Unit price * quantity in the currency of the company","type":"number","minimum":0}}}}}},"paths":{"/v2/pricing/quotes/available":{"post":{"tags":["Delivery Quotes"],"summary":"Delivery quotes","description":"Get quotes for up to 100 deliveries within Shippify","responses":{"200":{"description":"Successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/quotation/successfulResponse"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Unauthenticated"}}}}},"requestBody":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/quotation/request"}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.shippify.co/developers/en/shippify-api/deliveries/delivery-quotes.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
